be.ehealth.businessconnector.mediprimauma.exception

## Class MediprimaUmaSendException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - be.ehealth.business.common.exception.EhealthServiceV2Exception
      - - be.ehealth.businessconnector.mediprimauma.exception.MediprimaUmaException
        - - be.ehealth.businessconnector.mediprimauma.exception.MediprimaUmaSendException

- All Implemented Interfaces:
    Serializable

      public class MediprimaUmaSendException
      extends MediprimaUmaException

  Connector Exception thrown when the MediPrima UMA webservice response indicates an error status code with a SEND request.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MediprimaUmaSendException(SendUrgentMedicalAidAttestationResponse response)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SendUrgentMedicalAidAttestationResponse` | `getResponse()`

    - ### Methods inherited from class be.ehealth.businessconnector.mediprimauma.exception.MediprimaUmaException

      `getRegistryStatus`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MediprimaUmaSendException

          public MediprimaUmaSendException(SendUrgentMedicalAidAttestationResponse response)

  - ### Method Detail

    - #### getResponse

          public SendUrgentMedicalAidAttestationResponse getResponse()

      Overrides:
        `getResponse` in class `EhealthServiceV2Exception`

Connector Packaging PERSPHYSICIAN 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.